// Package message ...
//
// Description :  消息队列的接口约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2021-09-23 10:58 下午
package message

// IMessageQueue 消息队列的接口约束
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 10:59 下午 2021/9/23
type IMessageQueue interface {
	// Publish 发布消息
	Publish(data interface{}) error
	// Subscribe 订阅消息
	Subscribe()
	// Success 成功回调
	Success(data []byte)
	// Fail 失败回调
	Fail(data []byte, err error)
}
